MediaWiki用户封堵信息泄露漏洞

漏洞起因
设计错误
危险等级

影响系统
MediaWiki 1.x

不受影响系统

危害
远程攻击者可以利用漏洞获取被封理由信息。

攻击所需条件
攻击者必须访问MediaWiki。

漏洞信息
MediaWiki是一套以GPL授权发行的Wiki引擎。
如果用户由于选择”Hide username from edits and lists选项被封,其他管理员尝试重封相同用户,那么被封的理由会显示给第二个管理员,导致敏感信息泄露。

测试方法

厂商解决方案
MediaWiki 1.18.5或1.19.2已经修复此漏洞,建议用户下载使用:
http://wikipedia.sourceforge.net/

漏洞提供者
vendor